Skip to main content
GET
/
v1
/
loas
/
{loaId}
Get LOA
curl --request GET \
  --url https://api.voltview.co.uk/v1/loas/{loaId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "businessId": "<string>",
  "customerName": "<string>",
  "customerAddress": "<string>",
  "status": "PENDING",
  "filePath": "<string>",
  "authorizedPersons": [
    {
      "id": "<string>",
      "name": "<string>",
      "company": "<string>",
      "role": "<string>"
    }
  ],
  "supplyPoints": [
    {
      "id": "<string>",
      "mpanMprn": "<string>",
      "supplyType": "electricity",
      "address": "<string>",
      "meterId": "<string>"
    }
  ],
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "signatureDate": "2023-12-25",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase Auth JWT access token obtained after signing in via magic link or OTP

Path Parameters

loaId
string
required

UUID of the LOA

Response

LOA retrieved successfully

id
string

LOA identifier

businessId
string

Associated business identifier

customerName
string

Customer/business name

customerAddress
string

Customer address

status
enum<string>

LOA status

Available options:
PENDING,
SENT,
SIGNED,
EXPIRED,
REJECTED
filePath
string

Path to stored LOA document

authorizedPersons
object[]
supplyPoints
object[]
validFrom
string<date>
validTo
string<date>
signatureDate
string<date>
createdAt
string<date-time>
updatedAt
string<date-time>